import { store } from "@/store";
import { defineStore } from "pinia";

export const useCommonStore = defineStore("commonStore", {
  state: () => ({
    // 弹出公共Table的弹窗
    isShowTable: false,
    tableType: 1,
    tableTitle: "",
  }),
  actions: {
    // 获取当前时间格式的函数
    currentTimeFormat() {
      const now = new Date();
      const options = {
        year: "numeric",
        month: "short",
        day: "numeric",
        hour: "2-digit",
        minute: "2-digit",
        second: "2-digit",
      };
      return now.toLocaleDateString(undefined, options);
    },
  },
});

export function useCommonStoreHook() {
  return useCommonStore(store);
}
